Icy Phoenix 2.0 Beta 1


Titolo: Icy Phoenix 2.0 Beta 1
Salve a tutti,
Sono felice di annunciarvi che la Beta 1 di Icy Phoenix 2.0 è disponibile per il download.

Cosa c'è di nuovo rispetto all'ultima versione stabile

  • Il CMS è stato completamente rivisto con nuove funzioni in AJax
  • Nuovo sistema di Plugins con moduli in ACP e permessi specifici che possono essere controllati dal CMS
  • Funzioni di cache importate da phpBB 3
  • Classi DB importate da phpBB 3
  • Classi utenti importate da phpBB 3
  • Auth System importato da phpBB 3 and integrato nel CMS e nei plugin
  • Molte Funzioni di Base importate da phpBB 3
  • Gran parte delle SQL rivedute e riscritte
  • Nuove classi ricodificate per migliorare l'usabilità e semplificare la codifica e il modding
  • Templates ottimizzati
  • Funzioni SEO migliorate
  • Funzione Tags
  • BBCodes personalizzati in ACP
  • Chat private in AJAX
  • Sondaggi con voti multipli
  • Molti altri aggiornamenti e nuove funzioni.... che potrete scoprire installando quest'ultima versione!


Vecchi templates: Si prega di notare che il sistema dei template è stato totalmente rinnovato, per cui quelli progettati per Icy Phoenix 1.3.0.53 o inferiori, non funzioneranno con questa versione. Al momento, a parte gli stili che sono inclusi nel pacchetto di installazione, il solo Prosilver è disponibile su GIT: Icy Phoenix Styles @ GIT.


Traduzioni: Si prega di notare che i pacchetti di lingua per Icy Phoenix 1.3.0.53 non funzionano con questa versione. Tutti i pacchetti quindi dovranno essere aggiornati prima di poterli utilizzare nel vostro sito. È possibile trovare le traduzioni più recenti per le versioni di sviluppo qui: Icy Phoenix Languages @ GIT.


Personalizzazioni e Mod: Si prega di notare che questa versione ha molte differenze di codice da quella precedente, quindi è davvero improbabile che le vecchie personalizzazioni e le mod funzioneranno correttamente su questa versione beta. Se disponete di qualche mod installata e non e non siete in grado aggiornarla da soli, dovrete tenere conto che non sarete in grado di utilizzare tali mods fino a quando qualcuno non le aggiornerà.


Requisiti
Prima di installare Icy Phoenix assicuratevi di avere i seguenti e STRETTAMENTE NECESSARI requisiti:
  • Almeno 20 MB di spazio libero nella cartella in cui si desidera installare il pacchetto
  • Un server web con PHP (5.2 o maggiore) installato e funzionante (la migliore accoppiata è Linux + Apache)
  • Un adatabase MySQL (5 o maggiore) con almento 5MB di spazio libero (naturalmente lo spazio necessario dipende da quanto è grande il vostro sito ... 5MB sono sufficienti per una installazione di base)
  • Possibilità di impostare i permessi CHMOD

Questi altri requisiti (anche se non strettamente necessari) sono suggeriti per ottimizzare le prestazioni di Icy Phoenix:
  • Webserver con la possibilità di gestire gli .htaccess
  • Rewrite Mod installato e funzionante
  • Librerie GD (almeno 2.0.28) installate e funzionanti
  • Register Globals impostato OFF



Nuova installazione
  1. Decomprimere il pachetto di Icy Phoenix in una cartella del vostro HD.
  2. Copiare tutti i files inclusi nel pacchetto di Icy Phoenix in una cartella del webserver (esempio: /icyphoenix/)
  3. Impostare i permessi a CHMOD 777 per i seguenti files e cartelle (potreste non avere alcune di queste voci nella vostra installazione):
    • backup/
    • cache/
    • cache/cms/
    • cache/forums/
    • cache/posts/
    • cache/sql/
    • cache/topics/
    • cache/users/
    • downloads/
    • files/
    • files/album/
    • files/album/cache/
    • files/album/med_cache/
    • files/album/users/
    • files/album/wm_cache/
    • files/images/
    • files/screenshots/
    • files/thumbs/
    • images/avatars/
    • logs/
    • logs/logfile_attempt_counter.txt
    • logs/logfile_blocklist.txt
    • logs/logfile_debug_mode.txt
    • logs/logfile_malformed_logins.txt
    • logs/logfile_spammer.txt
    • logs/logfile_worms.txt

  4. Lanciare la procedura di installazione dalla cartella install/install.php (es. http://www.mysite.com/forum/install/install.php)
  5. Seguire le istruzioni a video, inserendo ogni dato richiesto e terminare l'installazione.
  6. Eliminare o rinominare la cartella install
  7. Personalizzate ciò che ritenete opportuno in files e db (alcuni files necessitano di modifiche manuali, mentre la maggior parte delle opzioni possono essere configurate da ACP e CMS).
  8. Usare il nuovo sito :mri:



Aggiornamento da versione precedente di IP
  1. Bloccate il sito da ACP
  2. Fare un backup di tutti i files e del database
  3. Rimuovere tutti i vecchi file di IP, ma assicurarsi che non si stiano eliminando file diversi che potrebbero essere necessari!
  4. Quando cancellate i file, prestate attenzioni ai file personalizzati e contenenti informazioni di base come ad es:
    • config.php
    • backup/
    • downloads/
    • images/
    • files/
    • logs/

  5. Caricare tutti i files di Icy Phoenix nella root
  6. Applicare i permessi CHMOD richiesti anche per una Nuova installazione. Li trovate nella sezione precedente
  7. Copiare il file install/convert_utf8_nodbal.php nella root e lanciarlo (è necessario per convertire il vostro vecchio DB in formato UTF-8)
  8. Cancellare il file convert_utf8_nodbal.php dalla root
  9. Eseguire install/database_update.php per aggiornare il vostro DB
  10. Cancellare o rinomincare la cartella install
  11. Personalizzate ciò che ritenete opportuno in files e db (alcuni files necessitano di modifiche manuali, mentre la maggior parte delle opzioni possono essere configurate da ACP e CMS).
  12. Usare il nuovo sito :mri:



Pacchetti disponibili

Icy Phoenix 2.0 Beta 1
Package Name: Icy Phoenix
Package Version: 1.3.24.77
Release Spot: Buon Compleanno MG


DOWNLOAD: Icy Phoenix 2.0 Beta 1 ( Mirror 1 ) ( Mirror 2 )

GIT Links



Supporto

Come per ogni versione beta, anche questa versione non è ancora supportata, e non la si deve usare su siti online (a meno che non siate consapevoli dei rischi nel farlo!).

Sarebbe quindi più corretto provare questa versione beta esclusivamente in locale per poter lasciare feedback e segnalare eventuali bug, in modo da poter migliorarla in vista del rilascio finale.


Si prega di usare il Bugs Tracker per segnalare eventuali Bug riscontrati.


icy_phoenix_small


Enjoy Icy Phoenix!
Luca Libralato

Titolo: Re: Icy Phoenix 2.0 Beta 1
ottima notizie....
quando sono entrato nel sito mi ha datto questo errore
Fatal error: Call to undefined method sql_db::sql_fectchrowset() in /home/icyphoit/public_html/includes/sessions.php on line 634

lo steso quando ho fatto il login.

Titolo: Re: Icy Phoenix 2.0 Beta 1
system90 ha scritto: [Visualizza Messaggio]
ottima notizie....
quando sono entrato nel sito mi ha datto questo errore
Fatal error: Call to undefined method sql_db::sql_fectchrowset() in /home/icyphoit/public_html/includes/sessions.php on line 634

lo steso quando ho fatto il login.


Problema già risolto. C'era un errore di sintassi in un file. Il pacchetto è stato già aggiornato. Se lo avete scaricato prima delle 12 di questa mattina, riscaricatelo nuovamente. Ci sono già un paio di fix.

Titolo: Re: Icy Phoenix 2.0 Beta 1
Se qualcuno avesse un po' di tempo da perdere, servirebbe fare un confronto di prestazioni tra IP 1.3 e questa versione beta. Ovviamente sarebbe meglio testarlo online e con un forum che abbia un po' di dati caricati. :mricy:

Profilo PM  
Titolo: Re: Icy Phoenix 2.0 Beta 1
appena ho tempo aggiorno il mio e vi faccio sapere
prima mi è uscito questo errore aprendo un collegamento in una nuova finestra.

Parse error: syntax error, unexpected $end in /home/icyphoit/public_html/includes/sessions.php on line 1789

Titolo: Re: Icy Phoenix 2.0 Beta 1
system90 ha scritto: [Visualizza Messaggio]
appena ho tempo aggiorno il mio e vi faccio sapere
prima mi è uscito questo errore aprendo un collegamento in una nuova finestra.

Parse error: syntax error, unexpected $end in /home/icyphoit/public_html/includes/sessions.php on line 1789


In che senso un errore in una finestra? Parliamo di una installazione pulita?

Titolo: Re: Icy Phoenix 2.0 Beta 1
parlo di questo forum,ho provato ad aprire la pagina del profilo in una nuova finestra ed mi è comparso quell'errore,ho provato la seconda volta e non mi ha dato più quel problema

Titolo: Re: Icy Phoenix 2.0 Beta 1
Quando capitano queste cose fate uno screenshot al volo, o copiate tutto il codice... è più facile capire poi di cosa si tratta... Grazie System90 pe la segnalazione.

Titolo: Re: Icy Phoenix 2.0 Beta 1
system90 ha scritto: [Visualizza Messaggio]
parlo di questo forum,ho provato ad aprire la pagina del profilo in una nuova finestra ed mi è comparso quell'errore,ho provato la seconda volta e non mi ha dato più quel problema


Credo che tu abbia semplicemente beccato il momento in cui aggiornavo quel file. ;)

Titolo: Re: Icy Phoenix 2.0 Beta 1
Mighty Gorgon ha scritto: [Visualizza Messaggio]
Se qualcuno avesse un po' di tempo da perdere, servirebbe fare un confronto di prestazioni tra IP 1.3 e questa versione beta. Ovviamente sarebbe meglio testarlo online e con un forum che abbia un po' di dati caricati. :mricy:


Entro sabato è pronto il mio.
Un abbraccio. :mricy:

edit: aggiornato!

Ultima modifica di fracs il Venerdì, 14 Ottobre 2011, 09:25, modificato 1 volta in totale
Titolo: Re: Icy Phoenix 2.0 Beta 1
si sa quando uscirà più o meno la versione finale? e che dovrei far creare alcune mod

Titolo: Re: Icy Phoenix 2.0 Beta 1
MG, veramente un gran lavoro! :wink:

Titolo: Re: Icy Phoenix 2.0 Beta 1
Ciao,
Sto provando già da un po' (6 tentativi),ad aggiornare un Sito di prova, e riscontro sempre gli stessi problemi:

- Il primo Step va a buon fine,(Agg. del Db a UTF8,tramite il file convert_utf8_nodbal.php,lanciato dalla root)

- Il secondo step(install/database_update.php),sembra andare bene, ma alla fine non aggiorna tutto il DB,e restituisce una serie di errori)
Spoiler: [ Mostra ]

Infine, lanciando il Sito, appaiono questi errori

screenhunter01oct181943

Visto che altri hanno già aggiornato,sicuramente sbaglio io, ma dove ? Ah, quando ho sostituito i vecchi files con i nuovi,ho mantenuto i vecchi config , common ed index.php !

Ultima modifica di TopoMotoV3X il Martedì, 18 Ottobre 2011, 23:15, modificato 1 volta in totale
Profilo PM  
Titolo: Re: Icy Phoenix 2.0 Beta 1
Devi tenere solamente le voci indicate nella guida:

  • config.php
  • backup/
  • downloads/
  • images/
  • files/
  • logs/

Il file più importante è config.php, il resto delle cartelle:

1) Backup = da tenere se hai qualche backup, anche se ancora non mi è ben chiaro come venga riconosciuto un backup del database fatto prima d'aver convertito il DB.

2) Downloads = Se hai files nella tua cartella downloads.

3) Images = per mantenere le immagini che hai attualmente sul forum, tipo Avatar e icone dei forums.

4) Files = Se non hai mai cambiato queste immagini e non hai altro oltre queste immagini di default puoi anche sostituirla con la nuova cartella.

5) Logs = per mantenere i vecchi logs.

Ultima modifica di TopoMotoV3X il Martedì, 18 Ottobre 2011, 20:59, modificato 1 volta in totale
Titolo: Re: Icy Phoenix 2.0 Beta 1
Grazie, riproverò tenendo solo il config,ed inserendo i nuovi common e index.php.

Per le cartelle di cui parlavi ,le avevo tenute ,avendo dei files,in "avatars", "files", e "download"

per i backup,,in effetti, la cosa mi pare un po' controversa,e comunque li tengo nella cartella"mysqldumper",che si trova in "root"


Edit:

Come prima,dopo aver lanciato database_update.php c'è il solito errore
Spoiler: [ Mostra ]

E poi un avviso che queste SQL sono state aggiornate
Spoiler: [ Mostra ]


Di conseguenza,richiamando il Sito,compare infine,questa finestra d'errore :

screenhunter01oct182132

Ultima modifica di TopoMotoV3X il Martedì, 18 Ottobre 2011, 23:11, modificato 4 volte in totale
Profilo PM  
Titolo: Re: Icy Phoenix 2.0 Beta 1
Gli errori non sono gli stessi, qualcuno dichiara che le tabelle già esistono, quindi mi fa capire che non hai rifatto l'aggiornamento, l'hai solamente ripreso, per fare in modo che l'upgrade sia come previsto devi cancellare tutto, DB e files del forum, reinserisci il backup del database che hai fatto prima di cominciare l'upgrade, reinserisci i files della versione 1.3.0.53a che hai salvato prima di lanciare l'upgrade e ricominci da capo.

Fammi sapere.

Titolo: Re: Icy Phoenix 2.0 Beta 1
Tu dici di partire dalla vers.1.3.0.53a , ma io ero partito dalla b ,che è la versione che ho attualmente sul mio Sito; questo di prova,sarebbe lo "specchio" del mio Sito principale, dove avevo, come detto, applicato a suo tempo la patch per la b !

Comunque provo a ripartire dalla "a" :?


Edit:

Appena terminato questo post,sono andato sul Sito di prova,e nonostante gli errori che hai visto,il Sito si è aperto,ed è aggiornato,ecco la prova :shock:

screenhunter01oct191052


Com'è possibile ?

Ultima modifica di vilas il Mercoledì, 19 Ottobre 2011, 10:56, modificato 1 volta in totale
Profilo PM  
Titolo: Re: Icy Phoenix 2.0 Beta 1
Credo che quello di Topomoto fosse solo un lapsus... a o b non fa differenza in questo caso. ;)

Avevi svuotato la cache (completamente) dopo aver aggiornato?

Titolo: Re: Icy Phoenix 2.0 Beta 1
Per la cache,mi prendi in contropiede, non riesco a ricordare se l'avevo fatto,pur sapendo che è la prassi quando si fa un qualunque aggiornamento!

Visto che stamattina il Sito di prova è andato subito,nonostante ieri sera dava quegli errori che ho illustrato,direi di no ! :oops:

Comunque ora lo stresso un po',(Icy 1.3.24.77 ) :mrg: per studiarne le nuove funzionalità,anche se ancora non ho capito a cosa serva il plugin scaricato a

parte, ma ci arrivo.................. ! :)

Grazie

Una domanda per topomoto............... secondo te la tua Mod. "Tab menù in header" ,funzionerà sulla 1.3.24.77 ?

Ultima modifica di vilas il Mercoledì, 19 Ottobre 2011, 14:29, modificato 2 volte in totale
Profilo PM  
Titolo: Re: Icy Phoenix 2.0 Beta 1
Quando ho scritto 1.3.0.53a intendevo la tua versione precedente all'upgrade, poi non ho badato se .053, .053a o .053b :P
Il fatto che ora non ci siano errori visibili nel forum non vuol dire che tutto funzioni a dovere, quando farai l'upgrade definitivo ti consiglio di farlo con la massima precisione nei vari passaggi... eviteresti problemi futuri.

Per quanto riguarda Tab Menu, non ha nulla di particolare, dovrebbe funzionare magari con qualche accorgimento.. non appena sarà rilasciata la versione definitiva mi occuperò d'aggiornare le mie piccole mods..


Pagina 1 di 2


  
Non puoi inserire nuovi Argomenti
Non puoi rispondere ai Messaggi
Non puoi modificare i tuoi Messaggi
Non puoi cancellare i tuoi Messaggi
Non puoi votare nei Sondaggi
Non puoi allegare files
Puoi scaricare gli allegati
Non puoi inserire eventi calendario

   

Questa visualizzazione "Lo-Fi" è semplificata. Per avere la versione completa di formattazioni ed immagini clicca su questo link.

Powered by Icy Phoenix based on phpBB
Design by DiDiDaDo

Tempo Generazione: 0.1615s (PHP: -24% SQL: 124%)
SQL queries: 39 - Debug On - GZIP Abilitato